summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2018-02-06 17:53:13 -0600
committerMatthias Maier <tamiko@gentoo.org>2018-02-06 18:54:20 -0600
commitf5a695c65b1e8daaf6e26a049b6b140d2b7a6360 (patch)
treebf501a0240daa301b1ecd50204f98c2aea6d1c52 /app-doc/doxygen
parentx11-proto/xorgproto: New package (diff)
downloadgentoo-f5a695c65b1e8daaf6e26a049b6b140d2b7a6360.tar.gz
gentoo-f5a695c65b1e8daaf6e26a049b6b140d2b7a6360.tar.bz2
gentoo-f5a695c65b1e8daaf6e26a049b6b140d2b7a6360.zip
app-doc/doxygen: version bump to 1.8.14
Closes: https://bugs.gentoo.org/637492 Closes: https://bugs.gentoo.org/612778 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'app-doc/doxygen')
-rw-r--r--app-doc/doxygen/Manifest1
-rw-r--r--app-doc/doxygen/doxygen-1.8.14.ebuild130
2 files changed, 131 insertions, 0 deletions
diff --git a/app-doc/doxygen/Manifest b/app-doc/doxygen/Manifest
index 09c4e69d8b3..c91844ad8f9 100644
--- a/app-doc/doxygen/Manifest
+++ b/app-doc/doxygen/Manifest
@@ -1,2 +1,3 @@
DIST doxygen-1.8.13.src.tar.gz 4893912 BLAKE2B 3eb7eb6e7d122f681a9af8caf8a33789d323d52a5c205a3c44a7953eec78f4b227062da3e71c09de443aa6ac5c780937218c3a8c9ddf06d3eb23200a33b7406f SHA512 85da5bd28ad9f33a8e50fa92796817d31e59c024127cb647cb967e4321dd51378feaacdf099d578b7e6020fd646a3c63e99c77420e49e3894fc18ca89ba3e0a2
+DIST doxygen-1.8.14.src.tar.gz 4877980 BLAKE2B 9886e5165188548e0c8a3760a53709615385ab175795d07156584f3878996c8c5f18e439b6e45352a32ba5cd40e9b7fdb29cdf86511e1be70b18315069e33377 SHA512 5fac7e457a51b1f8e39fb65de5e0c07633e573f74e876580e7bcad5693540d6970fde1b2cb799a4df6ab9dfca951ece15b76b3010134d7658db3500183bea85c
DIST doxywizard.png 4231 BLAKE2B c71e30fee273c7410bc6b65e171a864066e088d474785f5e24b5500806af1217a6e12e93c5b81a488e2d216bfa59aeed332a092515dbbf8b640d8f7320dda50a SHA512 5e2d26e7427b86866ebe75ec2c66c0f1100d230f3f3e4d66bac424a8dd0d42f0831d936ff03318dfa1bf73cbd9fb53717636d0c91ae3eea0f4e24641479d25d5
diff --git a/app-doc/doxygen/doxygen-1.8.14.ebuild b/app-doc/doxygen/doxygen-1.8.14.ebuild
new file mode 100644
index 00000000000..502086e771c
--- /dev/null
+++ b/app-doc/doxygen/doxygen-1.8.14.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit cmake-utils eutils python-any-r1
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/doxygen/doxygen.git"
+ SRC_URI=""
+else
+ SRC_URI="https://ftp.stack.nl/pub/users/dimitri/${P}.src.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+fi
+
+DESCRIPTION="Documentation system for most programming languages"
+HOMEPAGE="https://www.stack.nl/~dimitri/doxygen/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="clang debug doc dot doxysearch latex qt5 sqlite userland_GNU"
+
+RDEPEND="app-text/ghostscript-gpl
+ dev-lang/perl
+ media-libs/libpng:0=
+ virtual/libiconv
+ clang? ( >=sys-devel/clang-4.0.0:= )
+ dot? (
+ media-gfx/graphviz
+ media-libs/freetype
+ )
+ doxysearch? ( =dev-libs/xapian-1.2* )
+ latex? (
+ dev-texlive/texlive-bibtexextra
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-fontutils
+ dev-texlive/texlive-latex
+ dev-texlive/texlive-latexextra
+ )
+ qt5? (
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ )
+ sqlite? ( dev-db/sqlite:3 )
+ "
+
+REQUIRED_USE="doc? ( latex )"
+
+DEPEND="sys-devel/flex
+ sys-devel/bison
+ doc? ( ${PYTHON_DEPS} )
+ ${RDEPEND}"
+
+# src_test() defaults to make -C testing but there is no such directory (bug #504448)
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.8.9.1-empty-line-sigsegv.patch" #454348
+ "${FILESDIR}/${PN}-1.8.12-link_with_pthread.patch"
+)
+
+DOCS=( LANGUAGE.HOWTO README.md )
+
+pkg_setup() {
+ use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # Ensure we link to -liconv
+ if use elibc_FreeBSD && has_version dev-libs/libiconv || use elibc_uclibc; then
+ local pro
+ for pro in */*.pro.in */*/*.pro.in; do
+ echo "unix:LIBS += -liconv" >> "${pro}" || die
+ done
+ fi
+
+ # Call dot with -Teps instead of -Tps for EPS generation - bug #282150
+ sed -i -e '/addJob("ps"/ s/"ps"/"eps"/g' src/dot.cpp || die
+
+ # fix pdf doc
+ sed -i.orig -e "s:g_kowal:g kowal:" \
+ doc/maintainers.txt || die
+
+ if is-flagq "-O3" ; then
+ ewarn
+ ewarn "Compiling with -O3 is known to produce incorrectly"
+ ewarn "optimized code which breaks doxygen."
+ ewarn
+ elog
+ elog "Continuing with -O2 instead ..."
+ elog
+ replace-flags "-O3" "-O2"
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DDOC_INSTALL_DIR="share/doc/${P}"
+ -Duse_libclang=$(usex clang)
+ -Dbuild_doc=$(usex doc)
+ -Dbuild_search=$(usex doxysearch)
+ -Dbuild_wizard=$(usex qt5)
+ -Duse_sqlite3=$(usex sqlite)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc; then
+ export VARTEXFONTS="${T}/fonts" # bug #564944
+
+ if ! use dot; then
+ sed -i -e "s/HAVE_DOT = YES/HAVE_DOT = NO/" \
+ {Doxyfile,doc/Doxyfile} \
+ || die "disabling dot failed"
+ fi
+ cmake-utils_src_make -C "${BUILD_DIR}" docs
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+}